package com.ruoyi.ibs.list.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 走访任务统计卡片对象 campaign_count
 * 
 * @author ruoyi
 * @date 2025-04-02
 */
public class CampaignCount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 统计日期 */
    @Excel(name = "统计日期")
    private String dt;

    /** 行社机构号 */
    @Excel(name = "行社机构号")
    private Long deptId;

    /** 行社名称 */
    @Excel(name = "行社名称")
    private String deptName;

    /** 用户id */
    @Excel(name = "用户id")
    private String userId;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    private String userName;

    /** 创建的总任务数--年 */
    @Excel(name = "创建的总任务数--年")
    private Integer createCampNumYear;

    /** 推送给我的总任务数--年 */
    @Excel(name = "推送给我的总任务数--年")
    private Integer pushCampNumYear;

    /** 其他总任务数--年 */
    @Excel(name = "其他总任务数--年")
    private Integer otherCampNumYear;

    /** 创建的总任务数--月 */
    @Excel(name = "创建的总任务数--月")
    private Integer createCampNumMonth;

    /** 推送给我的总任务数--月 */
    @Excel(name = "推送给我的总任务数--月")
    private Integer pushCampNumMonth;

    /** 其他总任务数--月 */
    @Excel(name = "其他总任务数--月")
    private Integer otherCampNumMonth;

    /** 创建的总任务数--周 */
    @Excel(name = "创建的总任务数--周")
    private Integer createCampNumWeek;

    /** 推送给我的总任务数--周 */
    @Excel(name = "推送给我的总任务数--周")
    private Integer pushCampNumWeek;

    /** 其他总任务数--周 */
    @Excel(name = "其他总任务数--周")
    private Integer otherCampNumWeek;

    /** 统计层级 0总行 1零售 2公司 3运管  5支行 -1客户经理 */
    @Excel(name = "统计层级 0总行 1零售 2公司 3运管  5支行 -1客户经理")
    private String sumType;

    /** 客户类型 0个人，1商户，2企业 */
    @Excel(name = "客户类型 0个人，1商户，2企业")
    private String custType;

    private Long dispatchNum;

    public void setDt(String dt) 
    {
        this.dt = dt;
    }

    public String getDt() 
    {
        return dt;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setCreateCampNumYear(Integer createCampNumYear) 
    {
        this.createCampNumYear = createCampNumYear;
    }

    public Integer getCreateCampNumYear() 
    {
        return createCampNumYear;
    }
    public void setPushCampNumYear(Integer pushCampNumYear) 
    {
        this.pushCampNumYear = pushCampNumYear;
    }

    public Integer getPushCampNumYear() 
    {
        return pushCampNumYear;
    }
    public void setOtherCampNumYear(Integer otherCampNumYear) 
    {
        this.otherCampNumYear = otherCampNumYear;
    }

    public Integer getOtherCampNumYear() 
    {
        return otherCampNumYear;
    }
    public void setCreateCampNumMonth(Integer createCampNumMonth) 
    {
        this.createCampNumMonth = createCampNumMonth;
    }

    public Integer getCreateCampNumMonth() 
    {
        return createCampNumMonth;
    }
    public void setPushCampNumMonth(Integer pushCampNumMonth) 
    {
        this.pushCampNumMonth = pushCampNumMonth;
    }

    public Integer getPushCampNumMonth() 
    {
        return pushCampNumMonth;
    }
    public void setOtherCampNumMonth(Integer otherCampNumMonth) 
    {
        this.otherCampNumMonth = otherCampNumMonth;
    }

    public Integer getOtherCampNumMonth() 
    {
        return otherCampNumMonth;
    }
    public void setCreateCampNumWeek(Integer createCampNumWeek) 
    {
        this.createCampNumWeek = createCampNumWeek;
    }

    public Integer getCreateCampNumWeek() 
    {
        return createCampNumWeek;
    }
    public void setPushCampNumWeek(Integer pushCampNumWeek) 
    {
        this.pushCampNumWeek = pushCampNumWeek;
    }

    public Integer getPushCampNumWeek() 
    {
        return pushCampNumWeek;
    }
    public void setOtherCampNumWeek(Integer otherCampNumWeek) 
    {
        this.otherCampNumWeek = otherCampNumWeek;
    }

    public Integer getOtherCampNumWeek() 
    {
        return otherCampNumWeek;
    }

    public String getSumType() {
        return sumType;
    }

    public void setSumType(String sumType) {
        this.sumType = sumType;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public Long getDispatchNum() {
        return dispatchNum;
    }

    public void setDispatchNum(Long dispatchNum) {
        this.dispatchNum = dispatchNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dt", getDt())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("createCampNumYear", getCreateCampNumYear())
            .append("pushCampNumYear", getPushCampNumYear())
            .append("otherCampNumYear", getOtherCampNumYear())
            .append("createCampNumMonth", getCreateCampNumMonth())
            .append("pushCampNumMonth", getPushCampNumMonth())
            .append("otherCampNumMonth", getOtherCampNumMonth())
            .append("createCampNumWeek", getCreateCampNumWeek())
            .append("pushCampNumWeek", getPushCampNumWeek())
            .append("otherCampNumWeek", getOtherCampNumWeek())
            .append("sumType", getSumType())
            .append("custType", getCustType())
            .toString();
    }
}
